Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en productos CODESYS

Múltiples vulnerabilidades en productos CODESYS

Fecha de publicación: 
22/04/2019
Importancia: 
5 - Crítica
Recursos afectados: 

Todas las variantes de los siguientes productos CODESYS V3 que utilicen versiones anteriores a la V3.5.14.20 y contengan el componente CmpGateway están afectadas por las vulnerabilidades, independientemente del tipo de CPU o Sistema operativo.

  • CODESYS Control para BeagleBone
  • CODESYS Control para emPC-A/iMX6
  • CODESYS Control para IOT2000
  • CODESYS Control para Linux
  • CODESYS Control para PFC100
  • CODESYS Control para PFC200
  • CODESYS Control para Raspberry Pi
  • CODESYS Control V3 Runtime System Toolkit
  • CODESYS Gateway V3
  • CODESYS V3 Development System
Descripción: 

El investigador de seguridad Martin Hartmann, de Cirosec GmbH, ha reportado dos vulnerabilidades. Una de ellas es crítica del tipo valores aleatorios no controlados y asignación de propiedad no verificada, y la otra de criticidad alta del tipo asignación de memoria. Ambas pueden ser explotadas remotamente. La explotación exitosa de estas vulnerabilidades por parte de un atacante podría originar denegaciones de servicio y cortes en las comunicaciones.

Solución: 

[Actualización 30/07/2019] El fabricante ha publicado nuevas versiones de software (V3.5.14.20 y V3.5.15.0) que mitigan estas vulnerabilidades.

Detalle: 
  • Vulnerabilidad crítica de asignación de valores aleatorios no controlada: CODESYS Gateway no usa valores aleatorios adecuados para identificar el canal de comunicación y verifica de manera insuficiente la propiedad del canal. La explotación exitosa de esta vulnerabilidad podría permitir que un atacante remoto cierre los canales de comunicación existentes. Si el canal no estaba protegido por una comunicación cifrada, un atacante remoto también podría enviar paquetes especialmente diseñados a un PLC dentro de una sesión de usuario ya establecida. Se ha reservado el identificador CVE-2019-9010 para esta vulnerabilidad.
  • Vulnerabilidad de criticidad alta de asignación de memoria no controlada: un atacante remoto podría enviar peticiones especialmente diseñadas y realizar así asignaciones de memoria no controladas en los productos CODESYS afectados. La explotación exitosa de esta vulnerabilidad originaría denegaciones de servicio. Se ha reservado el identificador CVE-2019-9012 para esta vulnerabilidad.

Encuesta valoraciĂ³n